## kunitconversion 5.56.0

=== debian/changelog ===
kunitconversion (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:34 +0000

kunitconversion (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:32:58 +0000

kunitconversion (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:22 +0000

kunitconversion (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:49:56 +0000

kunitconversion (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:19 +0000

=== debian/control ===
Source: kunitconversion
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5i18n-dev (>= 5.56.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kunitconversion
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion

Package: libkf5unitconversion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: libkf5unitconversion-dev
Architecture: any
Section: libdevel
Depends: libkf5i18n-dev (>= 5.55.0~),
         libkf5unitconversion5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5unitconversion-doc (= ${source:Version})
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.

Package: libkf5unitconversion-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Support for unit conversion (documentation)
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the qch documentation files.

Package: libkf5unitconversion5
Architecture: any
Multi-Arch: same
Depends: libkf5unitconversion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5kdelibs4support5 (<< 5.42), libkf5kdelibs4support5-bin (<< 5.42)
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.

## kunitconversion 5.62.0

=== debian/changelog ===
kunitconversion (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:13 -0700

kunitconversion (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:58 +0100

=== debian/control ===
Source: kunitconversion
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libkf5i18n-dev (>= 5.62.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kunitconversion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunitconversion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunitconversion.git

Package: libkf5unitconversion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: libkf5unitconversion-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.62.0~),
         libkf5unitconversion5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
Recommends: libkf5unitconversion-doc (= ${source:Version})
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5unitconversion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for unit conversion (documentation)
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5unitconversion5
Architecture: any
Multi-Arch: same
Depends: libkf5unitconversion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
Breaks: libkf5kdelibs4support5 (<< 5.42), libkf5kdelibs4support5-bin (<< 5.42)

## kunitconversion 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project(KUnitConversion VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KUNITCONVERSION
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kunitconversion_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)


add_definitions(-DTRANSLATION_DOMAIN=\"kunitconversion5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
add_definitions(-DQT_NO_FOREACH)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5UnitConversion")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5UnitConversion_QCH
        FILE KF5UnitConversionQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5UnitConversionQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5UnitConversionConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5UnitConversionTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5UnitConversionTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kunitconversion_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kunitconversion (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:31 +0000

kunitconversion (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:16 +0000

kunitconversion (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:06 +0000

kunitconversion (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:12 +0000

kunitconversion (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:21 +0000

kunitconversion (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:08:46 +0100

kunitconversion (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:27 +0100

kunitconversion (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:17:54 +0100

kunitconversion (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:03 +0100

kunitconversion (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:12 +0100

kunitconversion (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:39:47 +0100

=== debian/control ===
Source: kunitconversion
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libkf5i18n-dev (>= 5.68.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kunitconversion
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion

Package: libkf5unitconversion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: libkf5unitconversion-dev
Architecture: any
Section: libdevel
Depends: libkf5i18n-dev (>= 5.68.0~),
         libkf5unitconversion5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5unitconversion-doc (= ${source:Version})
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.

Package: libkf5unitconversion-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Support for unit conversion (documentation)
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the qch documentation files.

Package: libkf5unitconversion5
Architecture: any
Multi-Arch: same
Depends: libkf5unitconversion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5kdelibs4support5 (<< 5.42), libkf5kdelibs4support5-bin (<< 5.42)
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5unitconversion5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
		# Disable dh_auto_test at build time
		:

## kunitconversion 5.74.0

=== debian/changelog ===
kunitconversion (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:00:57 +0100

kunitconversion (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:14 +0100

kunitconversion (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:34:49 +0100

kunitconversion (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:21 +0100

kunitconversion (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jun 2020 19:42:14 +0100

kunitconversion (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:49 +0200

kunitconversion (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:34:01 +0100

kunitconversion (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 01:01:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.74.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
+               qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kunitconversion
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion
+Rules-Requires-Root: no
 
 Package: libkf5unitconversion-data
 Architecture: all
@@ -31,9 +33,9 @@
 Package: libkf5unitconversion-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5i18n-dev (>= 5.68.0~),
+Depends: libkf5i18n-dev (>= 5.74.0~),
          libkf5unitconversion5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
 Recommends: libkf5unitconversion-doc (= ${source:Version})
 Description: development files for kunitconversion
@@ -41,6 +43,7 @@
  values in different measure units.
  .
  Contains development files for kunitconversion.
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5unitconversion-doc
 Architecture: all
@@ -58,8 +61,7 @@
 Multi-Arch: same
 Depends: libkf5unitconversion-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libkf5kdelibs4support5 (<< 5.42), libkf5kdelibs4support5-bin (<< 5.42)
+         ${shlibs:Depends}
 Description: Support for unit conversion.
  Library to help applications in doing conversions of
  values in different measure units.

## kunitconversion 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.78.0") # handled by release scripts
set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
project(KUnitConversion VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.78.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.14.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Network)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5UnitConversion")

ecm_setup_version(PROJECT VARIABLE_PREFIX KUNITCONVERSION
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kunitconversion_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfigVersion.cmake"
                        SOVERSION 5)

# QCH
include(ECMAddQch)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5UnitConversion_QCH
        FILE KF5UnitConversionQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5UnitConversionQchTargets.cmake\")")
endif()

# I18n
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
add_definitions(-DTRANSLATION_DOMAIN=\"kunitconversion5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
add_definitions(-DQT_NO_FOREACH)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
# create a Config.cmake and a ConfigVersion.cmake file and install them
include(CMakePackageConfigHelpers)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5UnitConversionConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5UnitConversionConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
install(EXPORT KF5UnitConversionTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5UnitConversionTargets.cmake NAMESPACE KF5:: )
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kunitconversion_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(kunitconversion_LIB_SRCS
    converter.cpp
    value.cpp
    unit.cpp
    unitcategory.cpp
    length.cpp
    area.cpp
    volume.cpp
    temperature.cpp
    velocity.cpp
    mass.cpp
    pressure.cpp
    energy.cpp
    currency.cpp
    power.cpp
    timeunit.cpp
    fuel_efficiency.cpp
    density.cpp
    acceleration.cpp
    force.cpp
    angle.cpp
    frequency.cpp
    thermal_conductivity.cpp
    thermal_flux.cpp
    thermal_generation.cpp
    voltage.cpp
    electrical_current.cpp
    electrical_resistance.cpp
    permeability.cpp
    binary_data.cpp
)

add_library(KF5UnitConversion ${kunitconversion_LIB_SRCS})
if (WIN32)
    # As stated in http://msdn.microsoft.com/en-us/library/4hwaceh6.aspx M_PI only gets defined
    # when using MSVC if _USE_MATH_DEFINES is defined (this is needed for angle.cpp)
    target_compile_definitions(KF5UnitConversion PRIVATE _USE_MATH_DEFINES)
endif()
generate_export_header(KF5UnitConversion BASE_NAME KUnitConversion EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kunitconversion/kunitconversion_export.h)
add_library(KF5::UnitConversion ALIAS KF5UnitConversion)
set(kunitconversion_BUILD_INCLUDE_DIRS ${KUnitConversion_BINARY_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_include_directories(KF5UnitConversion PUBLIC "$<BUILD_INTERFACE:${kunitconversion_BUILD_INCLUDE_DIRS}>")
target_include_directories(KF5UnitConversion INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KUnitConversion>")

target_link_libraries(KF5UnitConversion PUBLIC  Qt5::Core
                                        PRIVATE Qt5::Network
                                                KF5::I18n
)

set_target_properties(KF5UnitConversion PROPERTIES VERSION   ${KUNITCONVERSION_VERSION_STRING}
                                                   SOVERSION ${KUNITCONVERSION_SOVERSION}
                                                   EXPORT_NAME UnitConversion
)

ecm_generate_headers(KUnitConversion_CamelCase_HEADERS
    HEADER_NAMES
    Converter
    Value
    Unit
    UnitCategory

    PREFIX KUnitConversion
    REQUIRED_HEADERS KUnitConversion_HEADERS
)
install(FILES ${KUnitConversion_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KUnitConversion/KUnitConversion COMPONENT Devel)

install(TARGETS KF5UnitConversion EXPORT KF5UnitConversionTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kunitconversion/kunitconversion_export.h
    ${KUnitConversion_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KUnitConversion/kunitconversion COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5UnitConversion_QCH
        NAME KUnitConversion
        BASE_NAME KF5UnitConversion
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KUnitConversion_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${kunitconversion_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            KUNITCONVERSION_EXPORT
            KUNITCONVERSION_DEPRECATED
            KUNITCONVERSION_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KUnitConversion LIB_NAME KF5UnitConversion DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KUnitConversion)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kunitconversion (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:25 +0900

kunitconversion (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

kunitconversion (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:36 +0900

kunitconversion (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:55 +0900

kunitconversion (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:15:53 +0200

kunitconversion (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:04 +0200

=== debian/control ===
Source: kunitconversion
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libkf5i18n-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kunitconversion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunitconversion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunitconversion.git
Rules-Requires-Root: no

Package: libkf5unitconversion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the translations.

Package: libkf5unitconversion-dev
Section: libdevel
Architecture: any
Depends: libkf5i18n-dev (>= 5.78.0~),
         libkf5unitconversion5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Recommends: libkf5unitconversion-doc (= ${source:Version})
Description: development files for kunitconversion
 Library to help applications in doing conversions of
 values in different measure units.
 .
 Contains development files for kunitconversion.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5unitconversion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Support for unit conversion (documentation)
 Library to help applications in doing conversions of
 values in different measure units.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5unitconversion5
Architecture: any
Multi-Arch: same
Depends: libkf5unitconversion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Support for unit conversion.
 Library to help applications in doing conversions of
 values in different measure units.
Breaks: libkf5kdelibs4support5 (<< 5.42), libkf5kdelibs4support5-bin (<< 5.42)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Ignore network dependant tests
	KF5UNITCONVERT_NO_DOWNLOAD=1 dh_auto_test -- ARGS+='-E "^convertertest"'

## kunitconversion 5.80.0

=== debian/changelog ===
kunitconversion (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:39 +0000

kunitconversion (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:48 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kunitconversion
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunitconversion
@@ -34,10 +34,10 @@
 Package: libkf5unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.78.0~),
+Depends: libkf5i18n-dev (>= 5.80.0~),
          libkf5unitconversion5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5unitconversion-doc (= ${source:Version})
 Description: development files for kunitconversion
  Library to help applications in doing conversions of

## kunitconversion 5.86.0

=== debian/changelog ===
kunitconversion (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:42 +0100

kunitconversion (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * No tests at build time.
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:29:12 +0100

kunitconversion (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:02:00 +0100

kunitconversion (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:19:05 +0100

kunitconversion (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:45 +0100

kunitconversion (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               libkf5i18n-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -34,7 +34,7 @@
 Package: libkf5unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.80.0~),
+Depends: libkf5i18n-dev (>= 5.86.0~),
          libkf5unitconversion5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},

## kunitconversion 5.92.0

=== debian/changelog ===
kunitconversion (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:56 +0000

kunitconversion (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:10:07 +0000

kunitconversion (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:49:10 +0000

kunitconversion (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:53 +0000

kunitconversion (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:12:20 +0000

kunitconversion (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 14:24:28 +0000

kunitconversion (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

kunitconversion (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:20:40 +0000

kunitconversion (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:07:30 +0000

kunitconversion (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:01:16 +0900

kunitconversion (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kunitconversion (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Update install files.
  * Disable built time tests.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 08:22:54 +0900

kunitconversion (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:10 +0900

kunitconversion (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:25:00 +0900

kunitconversion (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:20:37 +0900

kunitconversion (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:21 +0900

kunitconversion (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:36 +0900

kunitconversion (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kunitconversion
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
-               libkf5i18n-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kunitconversion
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kunitconversion
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kunitconversion.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kunitconversion
 Rules-Requires-Root: no
 
 Package: libkf5unitconversion-data
@@ -34,9 +33,9 @@
 Package: libkf5unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.86.0~),
+Depends: libkf5i18n-dev (>= 5.92.0~),
          libkf5unitconversion5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5unitconversion-doc (= ${source:Version})
 Description: development files for kunitconversion
@@ -62,7 +61,7 @@
 Multi-Arch: same
 Depends: libkf5unitconversion-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Support for unit conversion.
  Library to help applications in doing conversions of
  values in different measure units.

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,7 @@
 	dh_auto_configure -- -DBUILD_QCH=ON
 
 override_dh_auto_test:
+	# Disable auto tests at build time
+	:
 	# Ignore network dependant tests
-	KF5UNITCONVERT_NO_DOWNLOAD=1 dh_auto_test -- ARGS+='-E "^convertertest"'
+	# KF5UNITCONVERT_NO_DOWNLOAD=1 dh_auto_test -- ARGS+='-E "^convertertest"'

## kunitconversion 5.98.0

=== debian/changelog ===
kunitconversion (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:49 +0100

kunitconversion (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:06:10 +0100

kunitconversion (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:52 +0100

kunitconversion (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:57:40 +0100

kunitconversion (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:21:27 +0100

kunitconversion (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -33,7 +33,7 @@
 Package: libkf5unitconversion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5i18n-dev (>= 5.92.0~),
+Depends: libkf5i18n-dev (>= 5.98.0~),
          libkf5unitconversion5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
